## ayatana-indicator-messages 0.6.0

=== debian/changelog ===
ayatana-indicator-messages (0.6.0-2) unstable; urgency=medium

  * debian/control:
    + Update Vcs-*: fields. Packaging Git has been migrated to salsa.debian.org.
    + Bump Standards-Version: to 4.2.0. No changes needed.
  * debian/upstream/metadata:
    + Add file. Comply with DEP-12.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Aug 2018 18:51:18 +0200

ayatana-indicator-messages (0.6.0-1) unstable; urgency=medium

  * Initial release to Debian. (Closes: #893875).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 23 Mar 2018 15:16:57 +0100
