=== debian/rules ===
#!/usr/bin/make -f

export DPKG_GENSYMBOLS_CHECK_LEVEL=4

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf,gir

override_dh_autoreconf:
	if [ ! -e po/ayatana-indicator-messages.pot.bak ]; then \
	    cp po/ayatana-indicator-messages.pot po/ayatana-indicator-messages.pot.bak; \
	fi
	NOCONFIGURE=1 dh_autoreconf ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc

override_dh_install:
	find debian/tmp/usr/lib -name *.la -delete
	dh_install --fail-missing

override_dh_auto_clean:
	dh_auto_clean
	if [ -e po/ayatana-indicator-messages.pot.bak ]; then \
	    mv -f po/ayatana-indicator-messages.pot.bak po/ayatana-indicator-messages.pot; \
	fi

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
