=== doc/CMakeLists.txt ===
add_subdirectory(reference)
