## ayatana-indicator-messages 0.8.1

=== debian/changelog ===
ayatana-indicator-messages (0.8.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Sep 2020 22:36:48 +0200

ayatana-indicator-messages (0.8.0-3) unstable; urgency=medium

  * Source-only upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:56:27 +0200

ayatana-indicator-messages (0.8.0-2) unstable; urgency=medium

  * debian/control:
    + Add B-D systemd for [linux-any] architectures.
    + Add B-D: dh-exec.
  * debian/ayatana-indicator-messages.install:
    + Install systemd service file only for [linux-any] architectures.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 11:49:04 +0200

ayatana-indicator-messages (0.8.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Add to D (ayatana-indicator-messages): ayatana-indicator-common
      (>= 0.8.0).
  * debian/copyright:
    + Update copyright attributions.
  * debian/ayatana-indicator-messages.install:
    + Drop upstart conf file, add systemd service file.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 18 Aug 2020 09:48:49 +0200

ayatana-indicator-messages (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 06 Aug 2020 14:20:11 +0200

ayatana-indicator-messages (0.6.1-1) unstable; urgency=medium

  * New upstream release.
    - Stop using deprecated g_type_class_add_private. (Closes: #951994).
  * debian/patches:
    + Drop 0001_Fix-pkg-config-file-library-and-path-flags.patch. Applied
      upstream.
  * debian/control:
    + Bump Standards-Version: to 4.5.0. No changes needed.
    + Add Rules-Requires-Root: field and set it to 'no'.
  * debian/{control,compat}:
    + Switch to debhelper-compat notation, bump DH compat level to version 12.
  * debian/rules:
    + Switch from dh_install --fail-missing to dh_missing --fail-missing.
  * debian/ayatana-indicator-messages.install:
    + Adapt installation path. Service executable now gets installed to
      /usr/libexec/.
  * debian/libmessaging-menu0.symbols:
    + Add Build-Depends-Package: metadata field.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 24 Feb 2020 10:08:04 +0100

ayatana-indicator-messages (0.6.0-3) unstable; urgency=medium

  * debian/control:
    + Add B/R for indicator-messages. The a-i-messages and i-messages bin:pkgs
      share the same artwork files.
    + Bump Standards-Version: to 4.4.0. No changes needed.
  * debian/patches:
    + Add 0001_Fix-pkg-config-file-library-and-path-flags.patch. Adapt paths and
      filenames to recently reworked install target. (Closes: #923958).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 07 Aug 2019 01:54:05 +0200
