=== debian/control ===
Source: ayatana-indicator-messages
Section: gnome
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               gobject-introspection (>= 0.9.12-4~),
               gtk-doc-tools,
               intltool,
               libaccountsservice-dev,
               libdbustest1-dev,
               libgirepository1.0-dev (>= 0.9.12),
               libgtest-dev,
               mate-common,
               python3-dbusmock,
               valac,
               systemd [linux-any],
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages

Package: ayatana-indicator-messages
Architecture: any
Depends: ayatana-indicator-common (>= 0.8.0),
         ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-bin,
Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
Breaks: indicator-messages,
Replaces: indicator-messages,
Description: Ayatana Indicator that collects messages that need a response
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.

Package: libmessaging-menu0
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Ayatana Messaging Menu - shared library
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This library contains information to build status providers to go into
 the messaging menu.

Package: libmessaging-menu-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         gir1.2-messagingmenu-1.0 (=${binary:Version}),
         libmessaging-menu0 (=${binary:Version}),
         libglib2.0-dev,
Description: Ayatana Messaging Menu - library development files
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This package provides development files for the Messaging Menu shared
 library.

Package: gir1.2-messagingmenu-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
         ${gir:Depends},
Description: Ayatana Messaging Menu - gir bindings
 A place on the user's desktop that collects messages that need a response.
 .
 This menu provides a condensed and collected view of all of those messages
 for quick access, but without making them annoying in times that you want
 to ignore them.
 .
 This package can be used by other packages using the GIRepository format
 to generate dynamic bindings.
