=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,10 @@
 
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_auto_clean:
 	dh_auto_clean
