## ayatana-indicator-messages 0.8.2

=== debian/changelog ===
ayatana-indicator-messages (0.8.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.5.1. No changes needed.
    + Fix capitalization of the word 'Xfce'.
  * debian/watch:
    + Update format version to 4.
  * debian/rules:
    + Move gtk-doc html files into package's doc folder.
  * debian/libmessaging-menu-dev.doc-base:
    + Add file.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 03 Feb 2021 13:15:27 +0100

ayatana-indicator-messages (0.8.1-2) unstable; urgency=medium

  * debian/control:
    + Add Debian UBports Team to Uploaders: field.
    + Mention desktop envs that support system indicators in LONG_DESCRIPTION.
    + Typo fix in LONG_DESCRIPTION.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 07 Nov 2020 15:12:17 +0100
