=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
                gobject-introspection (>= 0.9.12-4~),
@@ -17,7 +18,7 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
@@ -38,6 +39,10 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
+ etc.).
 
 Package: libmessaging-menu0
 Architecture: any
