=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,11 @@
 override_dh_install:
 	find debian/tmp/usr/lib -name *.la -delete
 	dh_install
+	# move gtk-doc folder to /usr/share/doc/<pkg>/
+	mkdir -p debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
+	mv debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/
+	mv debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/messaging-menu/ debian/libmessaging-menu-dev/usr/share/doc/libmessaging-menu-dev/html
+	ln -s ../../doc/libmessaging-menu-dev/html debian/libmessaging-menu-dev/usr/share/gtk-doc/html/messaging-menu
 
 override_dh_missing:
 	dh_missing --fail-missing
