## ayatana-indicator-messages 0.8.2-0+git20211018.2169+10.nightly.1

=== debian/changelog ===
ayatana-indicator-messages (0.8.2-0+git20211018.2169+10.nightly.1) buster; urgency=medium

  * Development-Snapshot!!! Auto-built Debian buster package for
    packages.arctica-project.org repository (Git commit:
    6c1a8c954e7bdf05d6369647178b9f2d2447c89a).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Mon, 18 Oct 2021 14:30:33 +0200

ayatana-indicator-messages (0.8.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 28 Jan 2021 17:18:23 +0100

ayatana-indicator-messages (0.8.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 10 Sep 2020 21:56:40 +0200

ayatana-indicator-messages (0.8.0-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 17 Aug 2020 23:02:04 +0200

ayatana-indicator-messages (0.6.2-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Thu, 06 Aug 2020 10:55:27 +0000

ayatana-indicator-messages (0.6.1-0) unstable; urgency=medium

  * Upstream-provided Debian package for ayatana-indicator-messages.
    See upstream ChangeLog for recent changes.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 24 Feb 2020 09:55:20 +0100

ayatana-indicator-messages (0.6.0-0) unstable; urgency=medium

  * Fork from Ubuntu's indicator-messages applet.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 16 Nov 2015 16:13:12 +0100

indicator-messages (13.10.1+15.10.20150505-0ubuntu1) wily; urgency=medium

  [ Lars Uebernickel ]
  * application list: update root action unconditionally

  [ Niklas Wenzel ]
  * Unescape action names when passing them to the proxy in
    im_application_list_remove_all() (LP: #1434521)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 05 May 2015 16:47:43 +0000

indicator-messages (13.10.1+15.04.20150403-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Verify state type before parsing

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Apr 2015 14:51:54 +0000

indicator-messages (13.10.1+15.04.20150311-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Sanity tests to test basic features of the messaging menu

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 11 Mar 2015 16:21:18 +0000

indicator-messages (13.10.1+15.04.20150304-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Make the message actions have the message ID in their names like the
    muxer

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 04 Mar 2015 23:59:37 +0000

indicator-messages (13.10.1+15.04.20150219-0ubuntu1) vivid; urgency=medium

  [ Ted Gould ]
  * Provide functions that allow for action names directly (LP:
    #1385331)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 15:55:54 +0000

indicator-messages (13.10.1+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * unescape_action_name: fix logic error (& instead of |) (LP:
    #1414025)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 22:07:44 +0000

indicator-messages (13.10.1+15.04.20150112-0ubuntu1) vivid; urgency=low

  [ Lars Uebernickel ]
  * desktop menu: don't warn when no default handler for a mime type is
    found (LP: #1389725)
  * Escape message and source ids when using them as action names (LP:
    #1386584)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Jan 2015 18:39:08 +0000

indicator-messages (13.10.1+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Add filtering for lock screen. (LP: #1358340)

  [ Lars Uebernickel ]
  * libmessaging-menu: allow numbers in object paths (LP: #1384811)
  * libmessaging-menu: fix section link in the documentation and add
    descriptions (LP: #1313561)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 20:56:30 +0000

indicator-messages (13.10.1+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Ted Gould ]
  * Symbolic icon test on Unity8 phone

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 13:30:07 +0000

indicator-messages (13.10.1+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Make title string match updated designs. (LP: #1377286)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 19:41:05 +0000

indicator-messages (13.10.1+14.10.20141006-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Move the position of this indicator on the panel. (LP: #1377294)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 06 Oct 2014 17:25:02 +0000

indicator-messages (13.10.1+14.10.20140925-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * Support X-Ubuntu-SymbolicIcon in desktop files (LP: #1365408)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Sep 2014 14:41:04 +0000

indicator-messages (13.10.1+14.10.20140814.1-0ubuntu2) utopic; urgency=low

  * Add "Multi-Arch: same" to libmessaging-menu0

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Sep 2014 11:17:34 +0200

indicator-messages (13.10.1+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * Change the title to "Notification center".

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 14:55:23 +0000

indicator-messages (13.10.1+14.10.20140725-0ubuntu1) utopic; urgency=low

  [ Lars Uebernickel ]
  * messaging-menu-message: add missing break statements

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 08:59:38 +0000


