=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: ayatana-indicator-messages
-Section: gnome
+Section: nightly/gnome
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
-Uploaders:
- Mike Gabriel <sunweaver@debian.org>,
- Debian UBports Team <team+ubports@tracker.debian.org>,
-Build-Depends: debhelper-compat (= 13),
-               dh-exec,
+Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf | debhelper (>= 9.20160403~),
+               dh-systemd | debhelper (>= 10.2~),
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
                intltool,
@@ -18,16 +16,14 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.5.1
-Rules-Requires-Root: no
+Standards-Version: 4.2.1
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
-Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages
+Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-messages
+Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 
 Package: ayatana-indicator-messages
 Architecture: any
-Depends: ayatana-indicator-common (>= 0.8.0),
-         ${shlibs:Depends},
+Depends: ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
 Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
@@ -39,15 +35,11 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
- .
- Ayatana Indicators are only available on desktop environments that
- provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
- etc.).
 
 Package: libmessaging-menu0
 Architecture: any
 Multi-Arch: same
-Section: libs
+Section: nightly/libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Ayatana Messaging Menu - shared library
@@ -62,7 +54,7 @@
 
 Package: libmessaging-menu-dev
 Architecture: any
-Section: libdevel
+Section: nightly/libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-messagingmenu-1.0 (=${binary:Version}),
@@ -79,7 +71,7 @@
  library.
 
 Package: gir1.2-messagingmenu-1.0
-Section: introspection
+Section: nightly/introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${gir:Depends},
