## ayatana-indicator-messages 22.2.0

=== debian/changelog ===
ayatana-indicator-messages (22.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 18 Feb 2022 17:09:42 +0100

ayatana-indicator-messages (21.12.0-1) unstable; urgency=medium

  * New upstream release.
    - Upstream version bump to something >= 14 to resolve versioning
      conflict with indicator-messages in Ubuntu. (Closes: #1000801).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 22:51:02 +0100

ayatana-indicator-messages (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Adjust to build system switch (autotools -> CMake).
    + Bump Standards-Version: to 4.6.0. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in reference file.
    + Update copyright attributions.
  * debian/rules:
    + Adjust for upstream version 0.9.0.
    + Use upstream's NEWS file as upstream ChangeLog.
  * debian/libmessaging-menu0.symbols:
    + Fix dev:pkg name in Build-Depends-Package: metadata field.
  * debian/upstream/metadata:
    + Update points of contact, put UBports Foundation in Donation: field.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 19 Nov 2021 16:54:43 +0100
