=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: ayatana-indicator-messages
-Section: nightly/gnome
+Section: gnome
 Priority: optional
-Maintainer: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
-Build-Depends: debhelper (>= 9),
-               dh-autoreconf | debhelper (>= 9.20160403~),
-               dh-systemd | debhelper (>= 10.2~),
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Uploaders:
+ Mike Gabriel <sunweaver@debian.org>,
+ Debian UBports Team <team+ubports@tracker.debian.org>,
+Build-Depends: cmake,
+               cmake-extras,
+               debhelper-compat (= 13),
+               dh-exec,
                gobject-introspection (>= 0.9.12-4~),
                gtk-doc-tools,
                intltool,
@@ -12,18 +16,19 @@
                libdbustest1-dev,
                libgirepository1.0-dev (>= 0.9.12),
                libgtest-dev,
-               mate-common,
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.2.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Git: https://github.com/AyatanaIndicators/ayatana-indicator-messages
-Vcs-Browser: https://github.com/AyatanaIndicators/ayatana-indicator-messages
+Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
+Vcs-Browser: https://salsa.debian.org/debian-edu-ayatana-team/ayatana-indicator-messages
 
 Package: ayatana-indicator-messages
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: ayatana-indicator-common (>= 0.8.0),
+         ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
 Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
@@ -35,11 +40,15 @@
  This menu provides a condensed and collected view of all of those messages
  for quick access, but without making them annoying in times that you want
  to ignore them.
+ .
+ Ayatana Indicators are only available on desktop environments that
+ provide a renderer for system indicators (such as MATE, Xfce, Lomiri,
+ etc.).
 
 Package: libmessaging-menu0
 Architecture: any
 Multi-Arch: same
-Section: nightly/libs
+Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
 Description: Ayatana Messaging Menu - shared library
@@ -54,7 +63,7 @@
 
 Package: libmessaging-menu-dev
 Architecture: any
-Section: nightly/libdevel
+Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          gir1.2-messagingmenu-1.0 (=${binary:Version}),
@@ -71,7 +80,7 @@
  library.
 
 Package: gir1.2-messagingmenu-1.0
-Section: nightly/introspection
+Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
          ${gir:Depends},
