## ayatana-indicator-messages 22.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 # Globals
 
-set(PROJECT_VERSION "22.2.0")
+set(PROJECT_VERSION "22.9.0")
 set(PACKAGE ${CMAKE_PROJECT_NAME})
-set(GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
+set(GETTEXT_PACKAGE "ayatana-indicator-messages")
 
 if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
     SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
