=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
