=== debian/changelog ===
ayatana-indicator-messages (23.10.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:28:33 +0000

ayatana-indicator-messages (23.10.0-1build2) noble; urgency=medium

  * Rebuild against new libglib2.0-0t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Mar 2024 20:30:28 +0100

ayatana-indicator-messages (23.10.0-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 03:53:36 +0000

ayatana-indicator-messages (23.10.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop all patches. All shipped upstream.
  * debian/control:
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attribution for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 15:49:17 +0100
