=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ayatana-indicator-messages
 Section: gnome
 Priority: optional
-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -9,17 +10,17 @@
                cmake-extras,
                debhelper-compat (= 13),
                dh-exec,
-               gobject-introspection (>= 0.9.12-4~),
+               gobject-introspection,
                gtk-doc-tools,
                intltool,
                libaccountsservice-dev,
                libdbustest1-dev,
-               libgirepository1.0-dev (>= 0.9.12),
+               libgirepository1.0-dev,
                libgtest-dev,
                python3-dbusmock,
                valac,
                systemd [linux-any],
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
