=== debian/changelog ===
ayatana-indicator-messages (24.5.0-2) unstable; urgency=medium

  * debian/control:
    + Move from R: to S: <indicator-renderer> packages. These should be pulled-
      in via the desktop environment where AyatanaIndicators get used.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 24 Jan 2025 10:41:10 +0100

ayatana-indicator-messages (24.5.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 09:06:23 +0200

ayatana-indicator-messages (23.10.0-2) unstable; urgency=medium

  * debian/control:
    + In B-D, switch from systemd to systemd-dev. (Closes: #1060472).

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 May 2024 16:19:26 +0200
