=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ayatana-indicator-messages
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
+Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Debian UBports Team <team+ubports@tracker.debian.org>,
@@ -19,8 +18,8 @@
                libgtest-dev,
                python3-dbusmock,
                valac,
-               systemd [linux-any],
-Standards-Version: 4.6.2
+               systemd-dev [linux-any],
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AyatanaIndicators/ayatana-indicator-messages
 Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-indicator-messages.git
@@ -32,7 +31,7 @@
          ${shlibs:Depends},
          ${misc:Depends},
          libglib2.0-bin,
-Recommends: indicator-applet | indicator-renderer | mate-applet-indicator,
+Suggests: indicator-applet | indicator-renderer | mate-applet-indicator,
 Breaks: indicator-messages,
 Replaces: indicator-messages,
 Description: Ayatana Indicator that collects messages that need a response
